/*
 Theme Name:   Dealer Child
 Theme URI:    https://www.designstudio.com/
 Description:  Dealer Theme Child Theme
 Author:       Design Studio
 Author URI:   https://www.designstudio.com/
 Template:     dealer-theme
 Version:      1.3.0
*/


/* GENERAL FIXES */
.general.block.section-block {
	height: auto !important;
}

button.btn.btn-primary, .front {
	background-color: #F2813D;
}

button.btn.btn-primary:hover, .back {
	background-color: #CC6633;
}

.home button, .home button:hover {
	margin-bottom: 0px;
}



/* HEADER */
div.mobile.nav #nav-toggle span, div.mobile.nav #nav-toggle span:before, div.mobile.nav #nav-toggle span:after {
	background: #1E5A52 !important;
}

div.mobile.nav header.mobile, div.mobile.nav nav.mobile.nav {
	background-color: #FFF !important;
}

div.mobile.nav ul li a {
	color: #1E5A52 !important;
}

.single-product .anchor-links-bar {
	background-color: #2E8649 !important;
}

@media screen and (min-width: 1024px) {
	.header2 h1 {
		width: 300px !important;
		height: 60px !important;
		margin: 1em 0 !important;
	}
	.header2 nav.global {
		padding-bottom: 2.5em;
	}
	.header2 ul.main.nav li a:hover {
		color: #FFF !important;
	}
	.header2 ul.main.nav > li ul.sub-menu {
		border: #CCC solid 1px;
	}
	.header2 ul.main.nav > li ul.sub-menu a {
		color: #1E5A52 !important;
	}
	.header2 ul.main.nav > li ul.sub-menu a:hover {
		color: #FFF !important;
	}
}



/* FOOTER */
.footer-3 a {
	font-weight: bold;
}

.footer-3 li a:hover {
	color: #FFF;
}

footer#footer a:hover {
	color: #1E5A52 !important;
}

.footer-3 li#menu-item-1000660 a, .footer-3 li#menu-item-1002091 a, .footer-3 li#menu-item-1000661 a, .footer-3 li#menu-item-1013356 a, .footer-3 li#menu-item-1000843 a, .footer-3 li#menu-item-1013357 a {
	color: #FFF !important;
}

.footer-3 li#menu-item-1000660 a:hover, .footer-3 li#menu-item-1002091 a:hover, .footer-3 li#menu-item-1000661 a:hover, .footer-3 li#menu-item-1013356 a:hover, .footer-3 li#menu-item-1000843 a:hover, .footer-3 li#menu-item-1013357 a:hover {
	color: #F2813D !important;
}

.footer-3 li#menu-item-1000660 a {
	background-image: url(/wp-content/uploads/2016/11/pricing.png) !important;
}

.footer-3 li#menu-item-1000660 a:hover {
	background-image: url(/wp-content/uploads/2016/11/pricing-hover.png) !important;
}

.footer-3 li#menu-item-1002091 a {
	background-image: url(/wp-content/uploads/2016/11/brochure.png) !important;
}

.footer-3 li#menu-item-1002091 a:hover {
	background-image: url(/wp-content/uploads/2016/11/brochure-hover.png) !important;
}

.footer-3 li#menu-item-1000661 a {
	background-image: url(/wp-content/uploads/2016/11/financing.png) !important;
}

.footer-3 li#menu-item-1000661 a:hover {
	background-image: url(/wp-content/uploads/2016/11/financing-hover.png) !important;
}

.footer-3 li#menu-item-1013356 a {
	background-image: url(/wp-content/uploads/2016/11/services.png);
	padding-top: 70px;
	background-size: 60px;
	background-repeat: no-repeat;
	background-position: 50% 0%;
	display: inline-block;
}

.footer-3 li#menu-item-1013356 a:hover {
	background-image: url(/wp-content/uploads/2016/11/services-hover.png);
}

.footer-3 li#menu-item-1000843 a {
	background-image: url(/wp-content/uploads/2016/11/showroom.png) !important;
}

.footer-3 li#menu-item-1000843 a:hover {
	background-image: url(/wp-content/uploads/2016/11/showroom-hover.png) !important;
}

.footer-3 li#menu-item-1013357 a {
	background-image: url(/wp-content/uploads/2016/11/home-consultation.png);
	padding-top: 70px;
	background-size: 60px;
	background-repeat: no-repeat;
	background-position: 50% 0%;
	display: inline-block;
}

.footer-3 li#menu-item-1013357 a:hover {
	background-image: url(/wp-content/uploads/2016/11/home-consultation-hover.png);
}

div.TWLA-footer-info.row div.contact-info.cf a {
	color: #F2813D !important;
}

.gmap iframe {
	top: -46px;
}

@media screen and (max-width: 1015px) {
	div.TWLA-footer-info.row div.contact-info.cf h3, div.TWLA-footer-info.row div.contact-info.cf p {
		text-align: left !important;
	}
	div.TWLA-footer-info.row div.contact-info.cf h3 {
		margin-top: 30px;
	}
	.footer-3 .TWLA-pre-footer div.TWLA-footer-info.row div.large-5.medium-12.small-12.columns {
		padding: 0 !important;
	}
	.TWLA-footer-info iframe {
		width: 100%;
		margin-top: 50px;
	}
	footer#footer {
		margin-top: -32px;
	}
}



/* HOME PAGE */


/* --- ASPOT --- */
.video-header .overlay .container .the-content a, section.img-pan .the-content a {
	background-color: transparent;
}

@media screen and (min-width: 1025px) {
	section.aspot.img-pan .the-content {
		max-width: 100%;
	}
	.img-pan .overlay {
		background-color: rgba(0, 0, 0, 0.42);
		opacity: 1;
	}
	.img-pan .overlay .container .the-content h3 {
		text-align: center !important;
		text-shadow: none !important;
		max-width: inherit !important;
		font-size: 3.0rem !important;
		line-height: 3.2rem !important;
		bottom: 10rem !important;
		width: 100%;
	}
	.img-pan .overlay .container .the-content .the-links {
		left: 0px;
		padding-right: 0px;
		text-align: center;
		display: block;
		width: 600px;
		margin: 0px auto;
		bottom: 3rem;
	}
	.img-pan .overlay .container .the-content .the-links a {
		text-shadow: none;
		float: none;
		display: inline-block;
		width: 40%;
		max-width: 400px;
		margin: 0px 20px !important;
	}
	.img-pan .overlay .container .the-content .the-links a:hover {
		background-color: transparent !important;
	}
	.img-pan .overlay .container .the-content .the-links a:last-of-type {
		margin-top: 0px !important;
	}
}

@media screen and (max-width: 1024px) {
	.video-header .overlay .container .the-content a, section.img-pan .the-content a {
		background-color: #F2813D;
	}
	section.aspot.img-pan .the-content {
		height: 9em;
	}
	section.aspot.img-pan .the-content h3 {
		text-shadow: 2px 2px black;
	}
}


/* --- BSPOT --- */
.bspot-product-grid {
	padding: 0 !important;
}

.bspot-product-grid p {
	display: none !important;
}

.product-col {
	display: inline-block;
	background: #FFF;
	margin: 1%;
	float: left;
	width: 32%;
	min-height: inherit;
}

.product-col:first-of-type {
	margin-left: 0;
}

.product-col:last-of-type {
	margin-right: 0;
}

.product-col h3 {
	color: #FFFFFF;
	font-size: 2.2rem !important;
	font-weight: bold;
	margin: 0 auto;
	padding: 0.5em 0;
	background-color: #2E8649;
}

.unit {
	display: block;
	position: relative;
	text-align: center;
	min-width: 30%;
	max-width: 620px;
	max-height: 449px;
	margin: 0px auto;
	overflow: hidden;
}

#product1 {
	background-image: url('/wp-content/uploads/2024/10/outdoor.webp');
}

#product2 {
	background-image: url('/wp-content/uploads/2024/10/spa.webp');
}

#product3 {
	background-image: url('/wp-content/uploads/2024/10/bbq.webp');
}

#product1, #product2, #product3 {
	width: 100px;
	height: 100px;
	min-width: 100%;
	padding-top: 100%;
	-moz-transition: all 0.3s;
	-webkit-transition: all 0.3s;
	transition: all 0.3s;
}

#product1:hover, #product2:hover, #product3:hover {
	-moz-transform: scale(1.2);
	-webkit-transform: scale(1.2);
	transform: scale(1.2);
}

#bspot-location-content {
	padding: 0 !important;
	margin: 1.5rem 0 2.5rem;
}

#bspot-location {
	padding-right: 0 !important;
}

#bspot-location-content #bspot-content h2, #bspot-location-content #bspot-content p {
	text-align: left;
}

#bspot-location-content #bspot-content h2 {
	font-size: 2.6rem;
}

#bspot-location-content #bspot-content p {
	font-size: 1.8rem;
	line-height: 2.2rem;
}

#bspot-location-content #bspot-location img {
}

p.bspot-btn {
	margin: 1rem 0 0 0;
}

.bspot-btn button {
	margin-bottom: 0 !important;
	padding: 20px 60px;
	font-size: 1.1rem;
}

@media screen and (max-width: 1024px) {
	.bspot-product-grid {
		padding: 0 1em;
	}
	.product-col {
		width: 100%;
		margin: 1.5rem 0 0 0;
		min-height: 100%;
		padding-left: 1em;
		padding-right: 1em;
	}
	.product-col:last-of-type {
		margin-bottom: 0.5rem;
	}
	.unit {
		min-width: 100%;
		max-width: 100%;
		height: 100%;
		max-height: 320px;
	}
	.unit h3 {
		padding: 0.3rem 0;
		font-size: 1.6rem !important;
	}
	#product1 {
		background-image: url('/wp-content/uploads/2024/10/mobile-outdoor.webp');
	}
	#product2 {
		background-image: url('/wp-content/uploads/2024/10/mobile-spa.webp');
	}
	#product3 {
		background-image: url('/wp-content/uploads/2024/10/mobile-bbq.webp');
	}
	#bspot-content {
		margin: 2rem 0 6rem;
	}
	#bspot-location-content #bspot-content h2 {
		font-size: 2.2rem;
		margin: 1rem 0;
	}
	#bspot-location-content #bspot-content p {
		font-size: 1.5rem;
	}
	.bspot-btn button {
		padding: 15px 60px;
		margin-bottom: 2rem;
	}
	#bspot-location {
		padding-right: 1em !important;
	}
	#bspot-location img {
		padding: 0;
	}
}

@media screen and (min-width: 1024px) {
	#bspot-content {
		padding-right: 1.5rem !important;
	}
}


/* --- BACKYARD --- */
.homepage-parallax {
	background-image: url('/wp-content/uploads/2016/11/parallax.jpg');
	height: 500px;
	background-attachment: fixed;
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

#backyard-content {
	width: 54.1%;
	margin: 3rem auto;
	padding: 3rem;
	text-align: center;
	background-color: rgba(255, 255, 255, 0.9);
}

#backyard-content h2 {
	font-size: 2.5rem;
	margin-bottom: 1.5rem;
}

#backyard-content p {
	font-size: 1.8rem;
	line-height: 2.2rem;
	font-weight: 700;
	margin-bottom: 1.8rem;
}

#backyard-content p.backyard-btn {
	margin: 1rem 0 0 0;
}

.backyard-btn button {
	margin-bottom: 0 !important;
	padding: 20px 60px;
	font-size: 1.1rem;
}

@media screen and (max-width: 1015px) {
	.homepage-parallax {
		background-image: url('/wp-content/uploads/2016/11/mobile-parallax.jpg');
	}
	section.general.block.section-block.homepage-parallax div.gb-header {
		padding: 100px 0 !important;
	}
	#backyard-content {
		width: 90%;
		margin-left: 5%;
		margin-right: 5%;
		padding: 3rem 1rem;
	}
	#backyard-content h2 {
		font-size: 2.2rem;
	}
	#backyard-content p {
		font-size: 1.4rem;
	}
	#backyard-content p.backyard-btn {
		margin-bottom: 2rem;
	}
}

/* --- PRODUCTS --- */
.home .product-model-section .slick-dots li button {
	background-color: #666;
}

.home .product-model-section li.slick-active button {
	background-color: #2E8649;
}

.product-model-slider .slick-prev::before, .product-model-slider .slick-next::before {
	color: #2F8449 !important;
}



/* FORMS */


/* --- CONTACT --- */
@media screen and (min-width: 64.063em) {
	li#field_1_7.gfield.medium-6.large-4.large-offset-2.column.field_sublabel_below.field_description_below {
		margin-left: 0 !important;
		padding: 0 !important;
		width: 50%;
	}
}



/* INTERNAL PAGES */
@media screen and (max-width: 1024px) {
	div.aspot-content {
		display: none;
	}
}

@media screen and (max-width: 540px) {
	ul.shell-list {
		text-align: center;
	}
}

.anchor-links-wrapper a.anchor-link-top {
	color: #333 !important;
}

.facebook-social {
    background: url(https://watkinsdealer.s3.amazonaws.com/Images/Icons/facebook-icon.jpg) !important;
}

.youtube-social {
    background: url(https://watkinsdealer.s3.amazonaws.com/Images/Icons/youtube-icon.jpg) !important;
}

.twitter-social {
    background: url(https://watkinsdealer.s3.amazonaws.com/Images/Icons/twitter-icon.jpg) !important;
}

.linkedin-social {
    background: url(https://watkinsdealer.s3.amazonaws.com/Images/Icons/linkedin-icon.jpg) !important;
}

.gplus-social {
    background: url(https://watkinsdealer.s3.amazonaws.com/Images/Icons/gplus-icon.jpg) !important;
}

.insta-social {
    background: url(https://watkinsdealer.s3.amazonaws.com/Images/Icons/insta-icon.jpg) !important;
}

.social-button a {
	background-size: cover !important;
}

.home .aspot{
	padding: 0 2em;
}
.gfield_checkbox label {
  text-align: left;
  margin-left: 2em !important;
}